Skip to main content
GET
/
{version}
/
counterparties
/
retrieve
/
{id}
Retrieve Counterparties
curl --request GET \
  --url https://api.example.com/{version}/counterparties/retrieve/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": 123,
  "owner_party_type": "<string>",
  "owner_party_id": 123,
  "relationship_type": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "party": {
    "id": 123,
    "fullname": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "email": "<string>",
    "phone": "<string>",
    "country_code": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

version
string
required
Allowed value: "v1"
id
string
required

Response

Successful Response

CounterPartyWithPartyResponse

id
integer
required
owner_party_type
string
required
owner_party_id
integer
required
relationship_type
string
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
party
PartyResponse · object

PartyResponse

Last modified on June 23, 2026